早前把编辑器从 Sublime 换成了 PhpStorm,然而实际使用中却出现了 can't use subversion command line 这样的报错。检查了一下,本机是已经装了TortoiseSVN的,但是貌似没有效果。于是上网查了下,找到了问题所在。

原来,TortoiseSVN是不带有command line功能的,所以我们必须要另外安装VisualSVN工具。

下载地址:http://subversion.apache.org/packages.html

访问下载地址,根据系统选择对应的版本,如我的是windows系统,那么我要下载的是windows版的VisualSVN,

下载地址:https://www.visualsvn.com/files/Apache-Subversion-1.9.7.zip

下载完成后,解压到保存到文件夹内,记得要保存好,这个需要用到的。

到保存的文件夹内找到svn.exe文件,并且打开PhpStorm的settings,在Version Controll下的Subversion的设置里面,勾上use command line client,然后把svn.exe文件的绝对路径粘贴上去。最后应用保存就ok了。

发表新评论